{
  "CampusInsight": [
    {
      "CampusInsight": [
        {
          "mode": "parallel",
          "nodes": [
            {
              "host": "${node_ip_0011}",
              "port": "22",
              "username": "${os_login_user}",
              "passwd": "${os_root_user_pwd}",
              "context": {
                "_localNETypeList": "min_cluster_first",
                "_selectedNetType": "${base_scene_choices}",
                "sub_node_type": "main_fi_fabric",
                "check_os": "true"
              }
            },
            {
              "host": "${node_ip_0012}",
              "port": "22",
              "username": "${os_login_user}",
              "passwd": "${os_root_user_pwd}",
              "context": {
                "_localNETypeList": "min_cluster_second",
                "_selectedNetType": "${base_scene_choices}",
                "sub_node_type": "standby_fi_fabric",
                "check_os": "true"
              }
            },
            {
              "host": "${node_ip_0013}",
              "port": "22",
              "username": "${os_login_user}",
              "passwd": "${os_root_user_pwd}",
              "context": {
                "_localNETypeList": "min_cluster",
                "_selectedNetType": "${base_scene_choices}",
                "sub_node_type": "fabric_all_service",
                "check_os": "true"
              }
            },
            {
              "host": "node_ip_001%s",
              "port": "22",
              "username": "${os_login_user}",
              "passwd": "${os_root_user_pwd}",
              "context": {
                "_localNETypeList": "min_cluster",
                "_selectedNetType": "${base_scene_choices}",
                "sub_node_type": "fabric_rest_service",
                "check_os": "true"
              },
              "range_from": "4",
              "range_to": "${base_analyzer_node_scale}"
            }
          ],
          "cmds": [
            {
              "action": "rm",
              "path": "",
              "parameters": [
                {
                  "value": "-rf /root/install_config; mkdir -p /root/install_config"
                }
              ]
            },
            {
              "action": "upload",
              "path": "",
              "parameters": [
                {
                  "value": "-src disk_partition.sh"
                },
                {
                  "value": "-dst /root/install_config"
                },
                {
                  "value": "-src_dir plugins/common/scripts"
                }
              ]
            },
            {
              "action": "bash",
              "path": "",
              "parameters": [
                {
                  "value": "-l /root/install_config/disk_partition.sh"
                }
              ]
            },
            {
              "action": "rm",
              "parameters": [
                {
                  "value": "-rf /opt/install_check /root/EasySuite/[0-9]*/ ~/.ssh/* /tmp/*authorized_keys_flag;mkdir -p /opt/install_check /root/EasySuite/888"
                }
              ],
              "path": ""
            },
            {
                "action": "upload",
                "path": "",
                "parameters": [{
                    "value": "-src scripts"
                },
                {
                    "value": "-dst /opt/install_check"
                },
                {
                    "value": "-src_dir plugins/common"
                }]
            },
            {
              "action": "bash",
              "parameters": [
                {
                  "value": "-l /opt/install_check/scripts/check_cpu_arch.sh"
                },
                {
                  "value": "${base_arch_type}"
                },
                {
                  "value": "$(check_os)"
                },
                {
                  "value": "${base_os_type}"
                }
              ],
              "path": "/opt/"
            },
            {
              "action": "upload",
              "parameters": [
                {
                  "value": "-src scripts"
                },
                {
                  "value": "-dst /opt/install_check"
                },
                {
                  "value": "-src_dir plugins/CampusInsight/V100R022C00/install/C01VRCK00C02"
                }
              ],
              "path": ""
            },
            {
              "action": "upload",
              "parameters": [
                {
                  "value": "-src ${hld_package_icmr.name}"
                },
                {
                  "value": "-dst /root/EasySuite/888"
                }
              ]
            },
            {
              "action": "unzip",
              "parameters": [
                {
                  "value": "-o ${hld_package_icmr.name} >/dev/null 2>&1;chmod -R 750 /root/EasySuite/888;chmod -R 700 /opt/install_check"
                }
              ],
              "path": "/root/EasySuite/888"
            },
            {
              "action": "unzip",
              "parameters": [
                {
                  "value": "-o python-*.zip -d python/ >/dev/null 2>&1;chmod -R 750 /root/EasySuite/888"
                }
              ],
              "path": "/root/EasySuite/888/script/"
            }
          ]
        },
        {
          "mode": "parallel",
          "nodes": [
            {
              "host": "${node_ip_0011}",
              "port": "22",
              "username": "${os_login_user}",
              "passwd": "${os_root_user_pwd}",
              "context": {
                "_localNETypeList": "min_cluster_first",
                "_selectedNetType": "${base_scene_choices}",
                "sub_node_type": "main_fi_fabric",
                "check_os": "true"
              }
            },
            {
              "host": "${node_ip_0012}",
              "port": "22",
              "username": "${os_login_user}",
              "passwd": "${os_root_user_pwd}",
              "context": {
                "_localNETypeList": "min_cluster_second",
                "_selectedNetType": "${base_scene_choices}",
                "sub_node_type": "standby_fi_fabric",
                "check_os": "true"
              }
            },
            {
              "host": "${node_ip_0013}",
              "port": "22",
              "username": "${os_login_user}",
              "passwd": "${os_root_user_pwd}",
              "context": {
                "_localNETypeList": "min_cluster",
                "_selectedNetType": "${base_scene_choices}",
                "sub_node_type": "fabric_all_service",
                "check_os": "true"
              }
            },
            {
              "host": "node_ip_001%s",
              "port": "22",
              "username": "${os_login_user}",
              "passwd": "${os_root_user_pwd}",
              "context": {
                "_localNETypeList": "min_cluster",
                "_selectedNetType": "${base_scene_choices}",
                "sub_node_type": "fabric_rest_service",
                "check_os": "true"
              },
              "range_from": "4",
              "range_to": "${base_analyzer_node_scale}"
            }
          ],
          "cmds": [
            {
              "action": "/root/EasySuite/888/script/python/bin/python",
              "path": "/root/EasySuite/888/script/",
              "type": "interact",
              "parameters": [
                {
                  "value": "launch.pyc processor -i -initparam pre.install.init_param"
                }
              ]
            },
            {
              "action": "/root/EasySuite/888/script/python/bin/python",
              "path": "/root/EasySuite/888/script/",
              "type": "interact",
              "parameters": [
                {
                  "value": "launch.pyc processor -i -exec pre.install.get_param_no_temp"
                },
                {
                  "value": "-selectedNetType ${base_scene_choices} -sub_node_type $(sub_node_type) -north_type ${north_type} -south_type ${south_type}"
                },
                {
                  "value": "-lld_netcard_internal ${lld_netcard_south}  -lld_netcard_access ${lld_netcard_access}"
                },
                {
                  "value": "-lld_netcard_south ${lld_netcard_south} -lld_netcard_south_both ${lld_netcard_south_both}"
                },
                {
                  "value": "-localNETypeList $(_localNETypeList)"
                },
                {
                  "value": "-lld_outer_ntp_ipv6 ${lld_outer_ntp_ipv6} -lld_outer_ntp_ipv6_1 ${lld_outer_ntp_ipv6_bak_1} -lld_outer_ntp_ipv6_2 ${lld_outer_ntp_ipv6_bak_2}"
                },
                {
                  "value": "-lld_outer_ntp_ip ${lld_outer_ntp_ip} -lld_outer_ntp_ip_1 ${lld_outer_ntp_ip_bak_1} -lld_outer_ntp_ip_2 ${lld_outer_ntp_ip_bak_2}"
                },
                {
                  "value": "-lld_insight_access_ip ${lld_insight_access_ip} -lld_insight_access_ipv6 ${lld_insight_access_ipv6}  -lld_lvs_float_ip ${node_vm_float2_ip_1} -lld_lvs_float_ip_both ${node_vm_float2_ip_2} -lld_dip_float_ip ${node_vm_float2_ip_3} -lld_dip_float_ip_both ${node_vm_float2_ip_4} -base_os_type ${base_os_type}"
                },
                {
                  "value": " -lld_outer_ntp_mode ${lld_outer_ntp_mode} -lld_outer_ntp_mode_1 ${lld_outer_ntp_mode_bak_1} -lld_outer_ntp_mode_2 ${lld_outer_ntp_mode_bak_2}"
                },
                {
                  "value": " -lld_outer_ntp_algorism ${lld_outer_ntp_algorism} -lld_outer_ntp_algorism_1 ${lld_outer_ntp_algorism_bak_1} -lld_outer_ntp_algorism_2 ${lld_outer_ntp_algorism_bak_2}"
                },
                {
                  "value": " -lld_outer_ntp_mmvalue_index ${lld_outer_ntp_mmvalue_index} -lld_outer_ntp_mmvalue_index_1 ${lld_outer_ntp_mmvalue_index_bak_1} -lld_outer_ntp_mmvalue_index_2 ${lld_outer_ntp_mmvalue_index_bak_2}"
                },
                {
                  "value": " -is_protection_hot ${is_protection_hot} -lld_netcard_protection_hot ${lld_netcard_protection_hot}"
                }
              ]
            },
            {
              "action": "bash",
              "type": "interact",
              "input_paras": "os_root_user_pwd,lld_outer_ntp_mmvalue,lld_outer_ntp_mmvalue_bak_1,lld_outer_ntp_mmvalue_bak_2",
              "check_progress": "bash -l /root/EasySuite/888/script/pyscript/cloud/util/check_progress.sh check_env.sh",
              "timeout": "1800",
              "parameters": [
                {
                  "value": "-l /opt/install_check/scripts/check_env.sh"
                },
                {
                  "value": "${base_arch_type}"
                },
                {
                  "value": "$(sub_node_type)"
                },
                {
                  "value": "$(_selectedNetType)"
                },
                {
                  "value": "${base_os_type}"
                },
                {
                  "value": "$(_localNETypeList)"
                },
                {
                  "value": "${lld_netcard_internal}"
                },
                {
                  "value": "${lld_netcard_access}"
                },
                {
                  "value": "${memory_size_select}"
                },
                {
                  "value": "${base_analyzer_node_scale}"
                }
              ],
              "path": "/opt/"
            },
            {
              "action": "rm",
              "parameters": [
                {
                  "value": "-rf /opt/install_check"
                }
              ],
              "path": "/opt/"
            }
          ]
        }
      ]
    }
  ]
}
